Välkommen till linuxportalen.se!

Linuxportalen.se är Sveriges största och aktivaste webbplats för användare av öppen- och fri programvara.

Du besöker Linuxportalen.se som gäst vilket begränsar din möjlighet att använda webbplatsens alla funktioner. Genom att registera dig som medlem får du inte bara möjlighet att söka bland webbplatsens innehåll, skapa nya och delta i befintliga diskussioner, skapa din egen blogg, kommunicera med andra medlemmar genom privata meddelanden och delta i omröstningar. Du får också tillgång till Veckans Kadavro - en seriestrip unikt skapad för Linuxportalen.se!

Registeringen sker snabbt och är helt kostnadsfri - tveka inte, bli medlem idag!

Drivrutiner nvidia, 3D, GLX ?

Jo tjena, jag har nuss lyckat installera ubuntu, men det löste sig med sina problem osv.

men just nu verkar det nästan inte som att jag har drivrutinerna installerade
jag kan max ha öpplösningen 1024x768
Jag har ett NVIDIA GeForce FX 5200

jag har hört att man skall ha "nvidia-glx" för 3D effekter m.m. för att tex. kunna använda beryl som jag vill använda Smile

Men hur skall jag göra?, jag hittade en guide på wiki.ubuntu.com men den passar inte in tycker jag, det står att det skall finns en knapp, men den finns ej!
#
In the Software Preferences dialog that comes up, click the Add button

Jag hittar det inte!
(https://help.ubuntu.com/community/BinaryDriverHowto/Nvidia)

finns det nått annat sätt att installera GLX,3D och Beryl ?
för att jag vill ju såöart att det funkar..

Nu står det även i "Synaptic Package Manager" när jag startar att det e nätt fel på rad 6 i filen /etc/spt/sources.list i den på rad 6 står det:
"deb cdrom:[Ubuntu 6.10 _Edgy Eft_ - Relase i386 (20061025.1)]/ edgy"
och att det står att den har fel format(disk-tolkning) och att den inte kunde läsas
hmmm...

Alternativ för kommentarvisning

Välj ditt önskade sätt att visa kommentarerna och klicka på "Spara" för att verkställa dina ändringar.

Kristians bild

Om Ubuntu gissat för låg upplösning så hjälper det inte att installera nvidia-glx, även om det medför andra trevligheter.

När du väl installerat Ubuntu behövs inte installationsskivan som paketkälla (förutsatt att du inte sitter på smalband). Öppna en terminal och kör

sudo gedit /etc/apt/sources.list

(här kommer du få mata in ditt lösenord)

Sätt en # framför raden(erna) med cdrom

Leta upp raderna
#deb http://archive.ubuntu.com/ubuntu/ dapper universe main restricted multiverse
#deb-src http://se.archive.ubuntu.com/ubuntu/ dapper universe

och ta bort ev. # framför dessa.

Stäng gedit

När du gjort det kör

sudo apt-get update
sudo apt-get install nvidia-glx

Öppna /etc/modules med

sudo gedit /etc/modules

och lägg till en ny rad med ordet

nvidia

Spara och stäng

Kör

sudo modprobe nvidia

Vilka upplösningar du får växla mellan bestäms av fönstersystemet X's viktigaste konfigurationsfil /etc/X11/xorg.conf

Öppna en terminal och kör

sudo gedit /etc/X11/xorg.conf

Leta dig ner till sektionen "Screen", där finns en lista av tillåtna upplösningar för olika färgdjup. Lägg till de upplösningar du vill ha för samtliga färgdjup.

Leta dig ner till sektionen "Device" och ändra "nv" till "nvidia".

Spara och stäng.

Logga ut ur din skrivbordsmiljö (förmodligen Gnome eller KDE) tills du kommer till login-prompten. Här kan du tryggt trycka CTRL+ALT+backspace vilket startar om X. Logga in igen så ska du ha tillgång till dina valda upplösningar.

Jag har inte kört Beryl, men det har säkert någon annan här på portalen gjort. Compiz har jag lekt lite med, men jag upplever att den "vanliga" renderingen blir betydligt långsammare när det är aktiverat. Har det blivit någon förbättring på den fronten i Beryl?

----------------------------------
where my .emacs is, that's my home

---------------------------------------

 

adms bild

Denna guide följde jag för att få beryl att fungera och det funkade bra.

http://www.ubuntuforums.org/showthread.php?t=263851&highlight=nvidia+ber...

linux_n00bs bild

6.10 kör jag och det e ju edgy, så det det står dapper står asså edgy i 6.10

___________
/NYBÖRJARE!/
/MED LINUX /
-----------

linux_n00bs bild

jag kan inte skriva sudo apt-get!
jag får ett felmeddelande att det e fel på rad 10:
E: Rad 10 i källistan /etc/apt/sources.list har fel format (dist-tolkning)
på rad 10 står det:
deb http://se.archive.ubuntu.com/ubuntu/ edgy
[Jag fixade det genom att ta bort raden]

___________
/NYBÖRJARE!/
/MED LINUX /
-----------

linux_n00bs bild

jag kan bara fortfarande bara ha 1024x768 som störst öpplösning Sad

___________
/NYBÖRJARE!/
/MED LINUX /
-----------

Nvidia har denna howto i sitt officiella linux forum angående compiz.
Det samma gäller nog för beryl då den bygger på compiz. (själv föredrar jag compiz som för övrigt är skrivet av en svensk (David Reveman))
Vad visar 'glxinfo |grep rendering' ?
Och vad visar 'cat /proc/driver/nvidia/version' ?
Vad visar din Modes rad under det färgdjup du valt att använda? (i din xorg.conf)
Stämmer HorizSync och VertRefresh i din xorg.conf med värderna i manualen för din skärm?

linux_n00bs bild

Jo, jag kollade cat /proc/driver/nvidia/version och det stod:

NVRM version: NVIDIA Linux x86 Kernel Module 1.0-8776 Mon Oct 16 21:56:04 PDT
2006
GCC version: gcc version 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu-5)

HorizSync, VertRefreah hittar jag inte i xorg.conf

samt kollade jag på under modes det stod:(flera gånger samma men olika "Depth")
Modes "1024x768 "800x600" "720x400" "640x480" "640x350"
skall jag lägga till nått?

___________
/NYBÖRJARE!/
/MED LINUX /
-----------

linux_n00bs bild

Jag la faktiskt till 1280x1024 i alternativen, men då kan jag bara ha 60Hz, men jag vill hellre ha 80Hz/85Hz går det att fixa på nått sätt?

___________
/NYBÖRJARE!/
/MED LINUX /
-----------

Kristians bild

Jepp, det ska du. Det var precis det jag skrev tidigare.

Vill du tex. kunna köra 1280x800 så lägg till den upplösningen för alla depth enligt

Modes "1280x800" "1024x768 "800x600" "720x400" "640x480" "640x350"

----------------------------------
where my .emacs is, that's my home

---------------------------------------

 

Kristians bild

Leta fram skärmens manual eller googla efter dess specifikationer och se vad den klarar i vertikal och horisontell refreshrate. Förmodligen vill xorg ligga på den säkra sidan och gissar för lågt.

----------------------------------
where my .emacs is, that's my home

---------------------------------------